Bug 185150 - [patch] security/tor: move mirrors to bsd.sites.mk
Summary: [patch] security/tor: move mirrors to bsd.sites.mk
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Brendan Fabeny
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-12-24 00:20 UTC by Jan Beich
Modified: 2015-06-12 16:23 UTC (History)
1 user (show)

See Also:


Attachments
tor_sites.diff (7.13 KB, patch)
2013-12-24 00:20 UTC, Jan Beich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2013-12-24 00:20:00 UTC
For the upcoming Tor Browser Bundle port I need the same set of
mirrors Tor daemon uses. This would also help if someone creates a port
for Torbirdy, Vidalia bundle or any new child project in the future.

https://trillian.chruetertee.ch/freebsd-gecko/browser/trunk/www/linux-tor-browser

Fix: Note, tor-package-archive sometimes provides betas for TBB before actual release.

 Mk/bsd.sites.mk             |   45 ++++++++++++++++++++++++++++++++++++++++++++
 net-mgmt/vidalia/Makefile   |    6 -----
 security/tor-devel/Makefile |   39 --------------------------------------
 security/tor/Makefile       |   41 ----------------------------------------
 www/xpi-torbutton/Makefile  |    2 -
 5 files changed, 49 insertions(+), 84 deletions(-)
Comment 1 Edwin Groothuis freebsd_committer 2013-12-24 00:20:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->bf

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2014-02-10 01:35:25 UTC
Author: bf
Date: Mon Feb 10 01:35:05 2014
New Revision: 343569
URL: http://svnweb.freebsd.org/changeset/ports/343569
QAT: https://qat.redports.org/buildarchive/r343569/

Log:
  Use staging; simplify and remove some outdated material; move the
  torproject mirror list to bsd.sites.mk for use in other ports [1]
  
  PR:		185150 [1]
  Submitted by:	J. Beich [1]

Modified:
  head/Mk/bsd.sites.mk
  head/security/tor-devel/Makefile
  head/security/tor-devel/files/pkg-message.in
  head/security/tor-devel/pkg-plist
  head/security/tor/Makefile
  head/security/tor/files/pkg-message.in
  head/security/tor/pkg-plist

Modified: head/Mk/bsd.sites.mk
==============================================================================
--- head/Mk/bsd.sites.mk	Mon Feb 10 01:09:37 2014	(r343568)
+++ head/Mk/bsd.sites.mk	Mon Feb 10 01:35:05 2014	(r343569)
@@ -1311,6 +1311,49 @@ MASTER_SITE_THEMES+= \
 	ftp://gd.tuwien.ac.at/opsys/linux/freshmeat/themes/%SUBDIR%/
 .endif
 
+# Derived from: https://www.torproject.org/getinvolved/mirrors.html.en
+.if !defined(IGNORE_MASTER_SITE_TOR)
+MASTER_SITE_TOR+=	\
+		https://www.torproject.org/dist/%SUBDIR%/ \
+		https://archive.torproject.org/tor-package-archive/%SUBDIR%/ \
+		ftp://ftp.bit.nl/mirror/tor/%SUBDIR%/ \
+		http://cyberside.net.ee/tor/%SUBDIR%/ \
+		http://ftp.bit.nl/mirror/tor/%SUBDIR%/ \
+		http://mirror.hessmo.com/tor/dist/%SUBDIR%/ \
+		http://mirror.host4site.co.il/torproject.org/dist/%SUBDIR%/ \
+		http://mirror.open-networx.org/torproject.org/dist/%SUBDIR%/ \
+		http://mirror.tor.hu/dist/%SUBDIR%/ \
+		https://mirror.torland.me/torproject.org/dist/%SUBDIR%/ \
+		http://mirrors.chaos-darmstadt.de/tor-mirror/dist/%SUBDIR%/ \
+		http://theonionrouter.com/dist/%SUBDIR%/ \
+		http://tor.amorphis.eu/dist/%SUBDIR%/ \
+		http://tor.askapache.com/dist/%SUBDIR%/ \
+		http://tor.beme-it.de/dist/%SUBDIR%/ \
+		http://tor.borgmann.tv/dist/%SUBDIR%/ \
+		http://tor.ccc.de/dist/%SUBDIR%/ \
+		http://tor.cyberarmy.at/dist/%SUBDIR%/ \
+		http://tor.dont-know-me.at/dist/%SUBDIR%/ \
+		http://tor.factor.cc/dist/%SUBDIR%/ \
+		http://tor.homosu.net/dist/%SUBDIR%/ \
+		http://tor.idnr.ws/dist/%SUBDIR%/ \
+		http://tor.myrl.net/dist/%SUBDIR%/ \
+		http://tor.kamagurka.org/dist/%SUBDIR%/ \
+		http://tor.spline.de/dist/%SUBDIR%/ \
+		http://tor.vesta.nu/dist/%SUBDIR%/ \
+		http://torproj.xpdm.us/dist/%SUBDIR%/ \
+		https://torproject.antagonism.org/dist/%SUBDIR%/ \
+		https://torproject.crypto.is/dist/%SUBDIR%/ \
+		http://torproject.is/dist/%SUBDIR%/ \
+		http://torproject.nwlinux.us/dist/%SUBDIR%/ \
+		http://torproject.ph3x.at/dist/%SUBDIR%/ \
+		https://www.coevoet.nl/tor/dist/%SUBDIR%/ \
+		http://www.oignon.net/dist/%SUBDIR%/ \
+		http://www.torproject.nl/dist/%SUBDIR%/ \
+		http://www.torproject.org.nyud.net/dist/%SUBDIR%/ \
+		http://www.torproject.us/dist/%SUBDIR%/ \
+		http://www.torservers.net/mirrors/torproject.org/dist/%SUBDIR%/
+.endif
+
 .if !defined(IGNORE_MASTER_SITE_TUCOWS)
 .for mirror in ankara blueyonder casemanl chariot clix dataphone dialog epix \
 	fastweb genotec hellasonline iinets inspirenet latvia mclink netvisao \

Modified: head/security/tor-devel/Makefile
==============================================================================
--- head/security/tor-devel/Makefile	Mon Feb 10 01:09:37 2014	(r343568)
+++ head/security/tor-devel/Makefile	Mon Feb 10 01:35:05 2014	(r343569)
@@ -4,44 +4,7 @@
 PORTNAME=	tor
 DISTVERSION=	0.2.4.20
 CATEGORIES=	security net ipv6
-MASTER_SITES=	https://www.torproject.org/dist/ \
-		ftp://ftp.bit.nl/mirror/tor/ \
-		http://cyberside.net.ee/tor/ \
-		http://ftp.bit.nl/mirror/tor/ \
-		http://mirror.hessmo.com/tor/dist/ \
-		http://mirror.host4site.co.il/torproject.org/dist/ \
-		http://mirror.open-networx.org/torproject.org/dist/ \
-		http://mirror.tor.hu/dist/ \
-		https://mirror.torland.me/torproject.org/dist/ \
-		http://mirrors.chaos-darmstadt.de/tor-mirror/dist/ \
-		http://theonionrouter.com/dist/ \
-		http://tor.amorphis.eu/dist/ \
-		http://tor.askapache.com/dist/ \
-		http://tor.beme-it.de/dist/ \
-		http://tor.blingblingsquad.net/dist/ \
-		http://tor.borgmann.tv/dist/ \
-		http://tor.ccc.de/dist/ \
-		http://tor.cyberarmy.at/dist/ \
-		http://tor.dont-know-me.at/dist/ \
-		http://tor.homosu.net/dist/ \
-		http://tor.idnr.ws/dist/ \
-		http://tor.myrl.net/dist/ \
-		http://tor.kamagurka.org/dist/ \
-		http://tor.spline.de/dist/ \
-		http://tor.taiga-san.net/dist/ \
-		http://tor.vesta.nu/dist/ \
-		http://torproj.xpdm.us/dist/ \
-		https://torproject.antagonism.org/dist/ \
-		https://torproject.crypto.is/dist/ \
-		http://torproject.is/dist/ \
-		http://torproject.jcsh.it/dist/ \
-		http://torproject.nwlinux.us/dist/ \
-		http://torproject.ph3x.at/dist/ \
-		https://www.coevoet.nl/tor/dist/ \
-		http://www.oignon.net/dist/ \
-		http://www.torproject.org.nyud.net/dist/ \
-		http://www.torproject.us/dist/ \
-		http://www.torservers.net/mirrors/torproject.org/dist/
+MASTER_SITES=	TOR
 PKGNAMESUFFIX=	-devel
 
 MAINTAINER=	bf@FreeBSD.org
@@ -50,18 +13,18 @@ COMMENT=	An anonymizing overlay network 
 LICENSE=	BSD3CLAUSE
 LICENSE_FILE=	${WRKSRC}/LICENSE
 
+USES=		gmake
 GNU_CONFIGURE=	yes
 CONFIGURE_ARGS=	--with-openssl-dir="${OPENSSLBASE}" --disable-asciidoc
 CONFIGURE_ENV=	TOR_CPPFLAGS_libevent="-I${LOCALBASE}/include/event2 -I${LOCALBASE}/include" \
 		TOR_LDFLAGS_libevent="-L${LOCALBASE}/lib/event2" \
 		TOR_LIBEVENT_LIBS="${TOR_LIBEVENT_LIBS}"
 
-OPTIONS_DEFINE=	BUFFEREVENTS BUFFREELISTS GMAKE INSTR_DOWNLOADS \
+OPTIONS_DEFINE=	BUFFEREVENTS BUFFREELISTS INSTR_DOWNLOADS \
 		STATIC_TOR TCMALLOC THREADS TOR2WEB TRANSPARENT
 
 BUFFEREVENTS_DESC=	Use libevent's buffered IO
 BUFFREELISTS_DESC=	Freelists for buffer RAM
-GMAKE_DESC=		Parallel build safety via GNU make
 INSTR_DOWNLOADS_DESC=	Instrument downloads for analysis
 STATIC_TOR_DESC=	Build a static tor
 TCMALLOC_DESC=		Use the tcmalloc memory allocation library
@@ -80,20 +43,9 @@ USERS=		_tor
 
 CONFLICTS=	tor-[0-9]*
 
-MANCOMPRESSED=	no
-MAN1=		tor.1 tor-resolve.1 torify.1 tor-gencert.1
-
-NO_STAGE=	yes
 .include <bsd.port.options.mk>
 
-.if ${PORT_OPTIONS:MGMAKE}
-USES+=			gmake
-.else
-MAKE_JOBS_UNSAFE=	yes
-.endif
-
-.if ( (${OSVERSION} >= 703100 && ${OSVERSION} < 800000) || \
-(${OSVERSION} >= 800500 && ${OSVERSION} < 900000) || \
+.if ( (${OSVERSION} < 900000) || \
 (${OSVERSION} >= 900003) ) && !defined(USE_GCC) && empty(CC:T:M*gcc4*) && \
 empty(PORT_OPTIONS:MSTATIC_TOR) && empty(ARCH:Mia64)
 CONFIGURE_ARGS+=	--enable-gcc-hardening
@@ -101,16 +53,6 @@ CONFIGURE_ARGS+=	--enable-gcc-hardening
 CONFIGURE_ARGS+=	--disable-gcc-hardening
 .endif
 
-.if  ( ${OSVERSION} < 704000 || \
-(${OSVERSION} >= 800000 && ${OSVERSION} < 802000) || \
-(${OSVERSION} >= 900000 && ${OSVERSION} < 900027) )
-WITH_OPENSSL_PORT=	yes
-.endif
-
-.if  ( ${OSVERSION} < 800038 )
-CPPFLAGS+=	-DSTAILQ_ENTRY=SIMPLEQ_ENTRY
-.endif
-
 .if ${PORT_OPTIONS:MBUFFEREVENTS}
 CONFIGURE_ARGS+=	--enable-bufferevents
 .else
@@ -180,23 +122,13 @@ post-patch:
 post-configure:
 	@${FIND} -X ${WRKSRC} -type f -name Makefile | ${XARGS} ${REINPLACE_CMD} -e \
 		"s|-lpthread|${PTHREAD_LIBS}|g"
-	@${REINPLACE_CMD} -e '\|^nodist_man1_MANS =|s|$$|${MAN1:S@^@doc/@}|' \
+	@${REINPLACE_CMD} -e '\|^nodist_man1_MANS =|s|$$|$$(regular_mans:=.1)|' \
 		${WRKSRC}/Makefile
 
-post-install:
-	${MKDIR} /var/run/tor
-	${CHOWN} -R _tor:_tor /var/run/tor
-	${TOUCH} /var/log/tor
-	${CHOWN} _tor:_tor /var/log/tor
-	${MKDIR} /var/db/tor/data
-	${CHOWN} -R _tor:_tor /var/db/tor
-	${CHMOD} -R 700 /var/db/tor
-	${CAT} ${PKGMESSAGE}
-
-.if empty(PORT_OPTIONS:MTOR2WEB)
+.if ! ${PORT_OPTIONS:MTOR2WEB}
 check regression-test test: build
 	@cd ${BUILD_WRKSRC} ; ${SETENV} ${MAKE_ENV} ${MAKE_CMD} \
-	${MAKE_FLAGS} ${MAKEFILE} ${MAKE_ARGS} check
+	${MAKE_ARGS} check
 
 .endif
 .include <bsd.port.mk>

Modified: head/security/tor-devel/files/pkg-message.in
==============================================================================
--- head/security/tor-devel/files/pkg-message.in	Mon Feb 10 01:09:37 2014	(r343568)
+++ head/security/tor-devel/files/pkg-message.in	Mon Feb 10 01:35:05 2014	(r343569)
@@ -1,8 +1,16 @@
 ================================================================================
 To enable the tor server, set tor_enable="YES" in your /etc/rc.conf
-and edit %%PREFIX%%/etc/tor/torrc.  Note that the rc.subr script overrides
-many torrc options and is tunable: see %%PREFIX%%/etc/rc.d/tor for details.
-To use the torify script, install the net/torsocks port. After removing the
-package, or updating to a new version, users may need to delete all files
-in /var/db/tor.
+and edit %%PREFIX%%/etc/tor/torrc as desired. (However, note that the
+%%PREFIX%%/etc/rc.d/tor rc.subr script can override some torrc
+options: see that script for details.) To use the torify script, install
+the net/torsocks port. After installing tor for the first time, or after
+a major update of tor, you should:
+
+rm -r /var/db/tor /var/run/tor
+mkdir -p /var/db/tor/data /var/run/tor
+touch /var/log/tor
+chown -R _tor:_tor /var/db/tor /var/log/tor /var/run/tor
+chmod -R 700 /var/db/tor
+
+before starting the tor server.
 ================================================================================

Modified: head/security/tor-devel/pkg-plist
==============================================================================
--- head/security/tor-devel/pkg-plist	Mon Feb 10 01:09:37 2014	(r343568)
+++ head/security/tor-devel/pkg-plist	Mon Feb 10 01:35:05 2014	(r343569)
@@ -4,12 +4,11 @@ bin/tor-gencert
 bin/tor-resolve
 bin/torify
 etc/tor/torrc.sample
+man/man1/tor-gencert.1.gz
+man/man1/tor-resolve.1.gz
+man/man1/tor.1.gz
+man/man1/torify.1.gz
 %%DATADIR%%/geoip
 %%DATADIR%%/geoip6
 @dirrm %%DATADIR%%
 @dirrmtry etc/tor
-@cwd /
-@dirrmtry var/run/tor
-@dirrmtry var/db/tor/data
-@dirrmtry var/db/tor
-@cwd

Modified: head/security/tor/Makefile
==============================================================================
--- head/security/tor/Makefile	Mon Feb 10 01:09:37 2014	(r343568)
+++ head/security/tor/Makefile	Mon Feb 10 01:35:05 2014	(r343569)
@@ -4,46 +4,7 @@
 PORTNAME=	tor
 DISTVERSION=	0.2.4.20
 CATEGORIES=	security net ipv6
-MASTER_SITES=	https://www.torproject.org/dist/ \
-		ftp://ftp.bit.nl/mirror/tor/ \
-		http://cyberside.net.ee/tor/ \
-		http://ftp.bit.nl/mirror/tor/ \
-		http://mirror.hessmo.com/tor/dist/ \
-		http://mirror.host4site.co.il/torproject.org/dist/ \
-		http://mirror.open-networx.org/torproject.org/dist/ \
-		http://mirror.tor.hu/dist/ \
-		https://mirror.torland.me/torproject.org/dist/ \
-		http://mirrors.chaos-darmstadt.de/tor-mirror/dist/ \
-		http://theonionrouter.com/dist/ \
-		http://tor.amorphis.eu/dist/ \
-		http://tor.askapache.com/dist/ \
-		http://tor.beme-it.de/dist/ \
-		http://tor.blingblingsquad.net/dist/ \
-		http://tor.borgmann.tv/dist/ \
-		http://tor.ccc.de/dist/ \
-		http://tor.cyberarmy.at/dist/ \
-		http://tor.dont-know-me.at/dist/ \
-		http://tor.factor.cc/dist/ \
-		http://tor.homosu.net/dist/ \
-		http://tor.idnr.ws/dist/ \
-		http://tor.myrl.net/dist/ \
-		http://tor.kamagurka.org/dist/ \
-		http://tor.spline.de/dist/ \
-		http://tor.taiga-san.net/dist/ \
-		http://tor.vesta.nu/dist/ \
-		http://torproj.xpdm.us/dist/ \
-		https://torproject.antagonism.org/dist/ \
-		https://torproject.crypto.is/dist/ \
-		http://torproject.is/dist/ \
-		http://torproject.jcsh.it/dist/ \
-		http://torproject.nwlinux.us/dist/ \
-		http://torproject.ph3x.at/dist/ \
-		https://www.coevoet.nl/tor/dist/ \
-		http://www.oignon.net/dist/ \
-		http://www.torproject.nl/dist/ \
-		http://www.torproject.org.nyud.net/dist/ \
-		http://www.torproject.us/dist/ \
-		http://www.torservers.net/mirrors/torproject.org/dist/
+MASTER_SITES=	TOR
 
 MAINTAINER=	bf@FreeBSD.org
 COMMENT=	An anonymizing overlay network for TCP
@@ -51,18 +12,18 @@ COMMENT=	An anonymizing overlay network 
 LICENSE=	BSD3CLAUSE
 LICENSE_FILE=	${WRKSRC}/LICENSE
 
+USES=		gmake
 GNU_CONFIGURE=	yes
 CONFIGURE_ARGS=	--with-openssl-dir="${OPENSSLBASE}" --disable-asciidoc
 CONFIGURE_ENV=	TOR_CPPFLAGS_libevent="-I${LOCALBASE}/include/event2 -I${LOCALBASE}/include" \
 		TOR_LDFLAGS_libevent="-L${LOCALBASE}/lib/event2" \
 		TOR_LIBEVENT_LIBS="${TOR_LIBEVENT_LIBS}"
 
-OPTIONS_DEFINE=	BUFFEREVENTS BUFFREELISTS GMAKE INSTR_DOWNLOADS \
+OPTIONS_DEFINE=	BUFFEREVENTS BUFFREELISTS INSTR_DOWNLOADS \
 		STATIC_TOR TCMALLOC THREADS TOR2WEB TRANSPARENT
 
 BUFFEREVENTS_DESC=	Use libevent's buffered IO
 BUFFREELISTS_DESC=	Freelists for buffer RAM
-GMAKE_DESC=		Parallel build safety via GNU make
 INSTR_DOWNLOADS_DESC=	Instrument downloads for analysis
 STATIC_TOR_DESC=	Build a static tor
 TCMALLOC_DESC=		Use the tcmalloc memory allocation library
@@ -81,20 +42,9 @@ USERS=		_tor
 
 CONFLICTS=	tor-devel-[0-9]*
 
-MANCOMPRESSED=	no
-MAN1=		tor.1 tor-resolve.1 torify.1 tor-gencert.1
-
-NO_STAGE=	yes
 .include <bsd.port.options.mk>
 
-.if ${PORT_OPTIONS:MGMAKE}
-USES+=			gmake
-.else
-MAKE_JOBS_UNSAFE=	yes
-.endif
-
-.if ( (${OSVERSION} >= 703100 && ${OSVERSION} < 800000) || \
-(${OSVERSION} >= 800500 && ${OSVERSION} < 900000) || \
+.if ( (${OSVERSION} < 900000) || \
 (${OSVERSION} >= 900003) ) && !defined(USE_GCC) && empty(CC:T:M*gcc4*) && \
 empty(PORT_OPTIONS:MSTATIC_TOR) && empty(ARCH:Mia64)
 CONFIGURE_ARGS+=	--enable-gcc-hardening
@@ -102,16 +52,6 @@ CONFIGURE_ARGS+=	--enable-gcc-hardening
 CONFIGURE_ARGS+=	--disable-gcc-hardening
 .endif
 
-.if  ( ${OSVERSION} < 704000 || \
-(${OSVERSION} >= 800000 && ${OSVERSION} < 802000) || \
-(${OSVERSION} >= 900000 && ${OSVERSION} < 900027) )
-WITH_OPENSSL_PORT=	yes
-.endif
-
-.if  ( ${OSVERSION} < 800038 )
-CPPFLAGS+=	-DSTAILQ_ENTRY=SIMPLEQ_ENTRY
-.endif
-
 .if ${PORT_OPTIONS:MBUFFEREVENTS}
 CONFIGURE_ARGS+=	--enable-bufferevents
 .else
@@ -181,23 +121,13 @@ post-patch:
 post-configure:
 	@${FIND} -X ${WRKSRC} -type f -name Makefile | ${XARGS} ${REINPLACE_CMD} -e \
 		"s|-lpthread|${PTHREAD_LIBS}|g"
-	@${REINPLACE_CMD} -e '\|^nodist_man1_MANS =|s|$$|${MAN1:S@^@doc/@}|' \
+	@${REINPLACE_CMD} -e '\|^nodist_man1_MANS =|s|$$|$$(regular_mans:=.1)|' \
 		${WRKSRC}/Makefile
 
-post-install:
-	${MKDIR} /var/run/tor
-	${CHOWN} -R _tor:_tor /var/run/tor
-	${TOUCH} /var/log/tor
-	${CHOWN} _tor:_tor /var/log/tor
-	${MKDIR} /var/db/tor/data
-	${CHOWN} -R _tor:_tor /var/db/tor
-	${CHMOD} -R 700 /var/db/tor
-	${CAT} ${PKGMESSAGE}
-
-.if empty(PORT_OPTIONS:MTOR2WEB)
+.if ! ${PORT_OPTIONS:MTOR2WEB}
 check regression-test test: build
 	@cd ${BUILD_WRKSRC} ; ${SETENV} ${MAKE_ENV} ${MAKE_CMD} \
-	${MAKE_FLAGS} ${MAKEFILE} ${MAKE_ARGS} check
+	${MAKE_ARGS} check
 
 .endif
 .include <bsd.port.mk>

Modified: head/security/tor/files/pkg-message.in
==============================================================================
--- head/security/tor/files/pkg-message.in	Mon Feb 10 01:09:37 2014	(r343568)
+++ head/security/tor/files/pkg-message.in	Mon Feb 10 01:35:05 2014	(r343569)
@@ -1,8 +1,16 @@
 ================================================================================
 To enable the tor server, set tor_enable="YES" in your /etc/rc.conf
-and edit %%PREFIX%%/etc/tor/torrc.  Note that the rc.subr script overrides
-many torrc options and is tunable: see %%PREFIX%%/etc/rc.d/tor for details.
-To use the torify script, install the net/torsocks port. After removing the
-package, or updating to a new version, users may need to delete all files
-in /var/db/tor.
+and edit %%PREFIX%%/etc/tor/torrc as desired. (However, note that the
+%%PREFIX%%/etc/rc.d/tor rc.subr script can override some torrc
+options: see that script for details.) To use the torify script, install
+the net/torsocks port. After installing tor for the first time, or after
+a major update of tor, you should:
+
+rm -r /var/db/tor /var/run/tor
+mkdir -p /var/db/tor/data /var/run/tor
+touch /var/log/tor
+chown -R _tor:_tor /var/db/tor /var/log/tor /var/run/tor
+chmod -R 700 /var/db/tor
+
+before starting the tor server.
 ================================================================================

Modified: head/security/tor/pkg-plist
==============================================================================
--- head/security/tor/pkg-plist	Mon Feb 10 01:09:37 2014	(r343568)
+++ head/security/tor/pkg-plist	Mon Feb 10 01:35:05 2014	(r343569)
@@ -4,12 +4,11 @@ bin/tor-gencert
 bin/tor-resolve
 bin/torify
 etc/tor/torrc.sample
+man/man1/tor-gencert.1.gz
+man/man1/tor-resolve.1.gz
+man/man1/tor.1.gz
+man/man1/torify.1.gz
 %%DATADIR%%/geoip
 %%DATADIR%%/geoip6
 @dirrm %%DATADIR%%
 @dirrmtry etc/tor
-@cwd /
-@dirrmtry var/run/tor
-@dirrmtry var/db/tor/data
-@dirrmtry var/db/tor
-@cwd
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Xin LI freebsd_committer 2015-06-01 06:27:37 UTC
Close: fixed in 343569.
Comment 4 commit-hook freebsd_committer 2015-06-12 16:23:29 UTC
A commit references this bug:

Author: jbeich
Date: Fri Jun 12 16:22:34 UTC 2015
New revision: 389284
URL: https://svnweb.freebsd.org/changeset/ports/389284

Log:
  Convert to MASTER_SITE_TOR

  PR:		185150 (followup)
  Approved by:	portmgr blanket
  MFH:		2015Q2

Changes:
  head/net-mgmt/vidalia/Makefile
  head/www/xpi-torbutton/Makefile